"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_userUserLogin = require("../../common/libraries/userUserLogin.js");
const pages_index_method = require("./method.js");
const pages_index_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  const _easycom_cc_root_view2 = common_vendor.resolveComponent("cc-root-view");
  (_easycom_hs_empty2 + _easycom_cc_scroll_loading2 + _easycom_cc_root_view2)();
}
const _easycom_hs_empty = () => "../../components/hs-empty/hs-empty.js";
const _easycom_cc_scroll_loading = () => "../../common/components/cc-scroll-loading/cc-scroll-loading.js";
const _easycom_cc_root_view = () => "../../common/components/cc-root-view/cc-root-view.js";
if (!Math) {
  (MyHeaderTitle + _easycom_hs_empty + MyShowData + MyClassIfication + MyToDeDone + _easycom_cc_scroll_loading + _easycom_cc_root_view)();
}
const MyClassIfication = () => "./components/Classification.js";
const MyHeaderTitle = () => "./components/HeaderTitle.js";
const MyShowData = () => "./components/ShowData.js";
const MyToDeDone = () => "./components/ToDeDone.js";
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onShow(async () => {
      var _a, _b, _c, _d, _e, _f;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      (_b = pages_index_method.method) == null ? void 0 : _b.getPageRole();
      if ((_c = common_libraries_userUserLogin.getUser) == null ? void 0 : _c.getLoginStatus()) {
        pages_index_model.useModel.formData.value.page = 1;
        pages_index_model.useModel.listData.value = [];
        (_d = pages_index_method.method) == null ? void 0 : _d.getCountGridHouse();
        (_e = pages_index_method.method) == null ? void 0 : _e.getCompanyEmployeeBacklogs();
        (_f = pages_index_method.method) == null ? void 0 : _f.getIndexCount();
      } else {
        pages_index_model.useModel.userData.value = void 0;
        pages_index_model.useModel.listData.value = [];
        pages_index_model.useModel.metaData.value = { total: 0 };
      }
    });
    common_vendor.onShareAppMessage(() => {
      return {
        title: "",
        path: "/pages/index/index"
      };
    });
    common_vendor.onShareTimeline(() => {
      return {
        title: "",
        path: "/pages/index/index"
      };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o;
      return common_vendor.e({
        a: ((_b = (_a = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _a.loadingPage) == null ? void 0 : _b.value) && !((_e = (_d = (_c = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _c.pageRole) == null ? void 0 : _d.value) == null ? void 0 : _e.length)
      }, ((_g = (_f = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _f.loadingPage) == null ? void 0 : _g.value) && !((_j = (_i = (_h = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _h.pageRole) == null ? void 0 : _i.value) == null ? void 0 : _j.length) ? {
        b: common_vendor.p({
          text: "暂无权限",
          iconName: "no_jurisdictio"
        })
      } : {
        c: common_vendor.f(((_l = (_k = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _k.pageRole) == null ? void 0 : _l.value) || [], (i, k0, i0) => {
          return common_vendor.e({
            a: (i == null ? void 0 : i.key) === "date"
          }, (i == null ? void 0 : i.key) === "date" ? {
            b: "76f3138a-4-" + i0 + ",76f3138a-3"
          } : {}, {
            c: (i == null ? void 0 : i.key) === "jingangarea"
          }, (i == null ? void 0 : i.key) === "jingangarea" ? {
            d: "76f3138a-5-" + i0 + ",76f3138a-3",
            e: common_vendor.p({
              item: i == null ? void 0 : i.children
            })
          } : {}, {
            f: (i == null ? void 0 : i.key) === "to_do_details"
          }, (i == null ? void 0 : i.key) === "to_do_details" ? {
            g: "76f3138a-6-" + i0 + ",76f3138a-3"
          } : {}, {
            h: i == null ? void 0 : i.key
          });
        }),
        d: common_vendor.o((_m = common_vendor.unref(pages_index_method.method)) == null ? void 0 : _m.loadMore),
        e: common_vendor.p({
          meta: (_o = (_n = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _n.metaData) == null ? void 0 : _o.value
        })
      });
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 6;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
